Bug 630658 - Completion about IPv6 address does not work properly
Summary: Completion about IPv6 address does not work properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-06 15:06 UTC by Yoshinori KUNIGA
Modified: 2010-10-25 16:34 UTC (History)
3 users (show)

Fixed In Version: bash-completion-1.2-4.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-17 04:51:19 UTC


Attachments (Terms of Use)
patch of Bug 630658 (509 bytes, patch)
2010-09-07 03:23 UTC, Yoshinori KUNIGA
no flags Details | Diff
patch of Bug 630658 (482 bytes, patch)
2010-10-04 16:23 UTC, Yoshinori KUNIGA
no flags Details | Diff

Description Yoshinori KUNIGA 2010-09-06 15:06:17 UTC
Description of problem:

I used bash-completion and ssh on IPv6 environment,
then I expected a completion as follows.

$ ssh fd00:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:5555

But actually I got a completion as follows.

$ ssh fd00:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx

When last 16 bits of IPv6 address contains only digits,
this problem occurs. I tried to make a patch of this problem.

Version-Release number of selected component (if applicable):

bash-completion-1.2-2.fc13.noarch

Actual results:

$ ssh fd00:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx

Expected results:

$ ssh fd00:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:5555

Additional info:

This report is same as following report.

http://alioth.debian.org/tracker/index.php?func=detail&aid=312695&group_id=100114&atid=413095

Comment 1 Yoshinori KUNIGA 2010-09-07 03:23:35 UTC
Created attachment 443390 [details]
patch of Bug 630658

Comment 2 Fedora Update System 2010-10-03 21:53:59 UTC
bash-completion-1.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bash-completion-1.2-3.fc14

Comment 3 Fedora Update System 2010-10-03 22:06:16 UTC
bash-completion-1.2-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bash-completion-1.2-3.fc13

Comment 4 Yoshinori KUNIGA 2010-10-04 16:21:25 UTC
I tried bash-completion-1.2-3.

This version worked fine when IPv6 address starts with from a to f.

$ ssh fd  [tab key]
$ ssh fd00:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:5555  => OK

But when IPv6 address starts with digits, I couldn't get a completion.

$ ssh 2001  [tab key]
$ ssh 2001  => NG

$ ssh 2001:  [tab key]
$ ssh 2001:  => NG

I made a patch.

Comment 5 Yoshinori KUNIGA 2010-10-04 16:23:51 UTC
Created attachment 451448 [details]
patch of Bug 630658

Comment 6 Fedora Update System 2010-10-04 17:27:59 UTC
bash-completion-1.2-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bash-completion-1.2-3.el5

Comment 7 Ville Skyttä 2010-10-04 18:32:43 UTC
Thanks, this and some more cases fixed upstream, they will be included in future package updates.

http://git.debian.org/?p=bash-completion/bash-completion.git;a=commitdiff;h=1da64f6

Comment 8 Yoshinori KUNIGA 2010-10-05 02:33:57 UTC
I tried patch.  Everything turned out okay.
I appreciate your quick and good work.

Comment 9 Ville Skyttä 2010-10-05 06:01:16 UTC
Thanks.

Comment 10 Fedora Update System 2010-10-05 09:31:40 UTC
bash-completion-1.2-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bash-completion'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/bash-completion-1.2-3.fc13

Comment 11 Fedora Update System 2010-10-06 20:43:44 UTC
bash-completion-1.2-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-10-17 04:51:05 UTC
bash-completion-1.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-10-25 16:34:32 UTC
bash-completion-1.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.